This URL gets all the IPS policies defined in the specific domain.
Resource URL
GET /domain/<domain_id>/ipspolicies
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| List of IPS policies with brief policy details | Array |
Details of object in PolicyDescriptorDetailsList:
Field Name | Description | Data Type |
|---|---|---|
| Is policy editable | Boolean |
| Id of domain to which this policy belongs to | Number |
| Policy visible to child domain | Boolean |
| Policy id | Number |
| Policy name | String |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/ipspolicies
Response
{
"PolicyDescriptorDetailsList": [
{
"name": "Default IPS Attack Settings",
"DomainId": "0",
"policyId": "-1",
"IsEditable": "true",
"VisibleToChild": "true"
},
{
"name": "Default IDS",
"DomainId": "0",
"policyId": "0",
"IsEditable": "true",
"VisibleToChild": "true"
},
{
"name": "All-Inclusive Without Audit",
"DomainId": "0",
"policyId": "16",
"IsEditable": "true",
"VisibleToChild": "true"
},
{
"name": "All-Inclusive With Audit",
"DomainId": "0",
"policyId": "17",
"IsEditable": "true",
"VisibleToChild": "true"
},
{
"name": "Null",
"DomainId": "0",
"policyId": "18",
"IsEditable": "true",
"VisibleToChild": "true"
},
{
"name": "Default Inline IPS",
"DomainId": "0",
"policyId": "19",
"IsEditable": "true",
"VisibleToChild": "true"
}
]
}
Error Information
Following error code is returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain |